#Autogenerated class


from xml.dom.minidom import parseString

from TropGENE_LOCUS import MobyTropGENE_LOCUS
from bioMoby.mobyDataTypes import MobyObject


class MobyTropGENE_ACCESSION(MobyObject):
    """ Description: Germplasm accessions in the TropGENE database
        Author: tropgenedb.cirad.fr
        Contact: manuel.ruiz@cirad.fr
    """
    def __init__(self,namespace="",id="",RFLP=[],AFLP=[],RAPD=[],Isozyme=[],Polyphenol=[],Morphological=[],Microsatellite=[],SNP=[],CAPS=[],TAMPL=[],articleName=""):
        self._articles={"RFLP":"RFLP","AFLP":"AFLP","RAPD":"RAPD","Isozyme":"Isozyme","Polyphenol":"Polyphenol","Morphological":"Morphological","Microsatellite":"Microsatellite","SNP":"SNP","CAPS":"CAPS","TAMPL":"TAMPL"}
        self.namespace=namespace
        self.id=id
        self.RFLP=RFLP
        self.AFLP=AFLP
        self.RAPD=RAPD
        self.Isozyme=Isozyme
        self.Polyphenol=Polyphenol
        self.Morphological=Morphological
        self.Microsatellite=Microsatellite
        self.SNP=SNP
        self.CAPS=CAPS
        self.TAMPL=TAMPL
        self.__prefix__="moby"
        self.__tag__="TropGENE_ACCESSION"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        self.RFLP=[]
        self.AFLP=[]
        self.RAPD=[]
        self.Isozyme=[]
        self.Polyphenol=[]
        self.Morphological=[]
        self.Microsatellite=[]
        self.SNP=[]
        self.CAPS=[]
        self.TAMPL=[]
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="RFLP" or elt.getAttribute("moby:articleName")=="RFLP"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.RFLP.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="AFLP" or elt.getAttribute("moby:articleName")=="AFLP"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.AFLP.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="RAPD" or elt.getAttribute("moby:articleName")=="RAPD"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.RAPD.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Isozyme" or elt.getAttribute("moby:articleName")=="Isozyme"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.Isozyme.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Polyphenol" or elt.getAttribute("moby:articleName")=="Polyphenol"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.Polyphenol.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Morphological" or elt.getAttribute("moby:articleName")=="Morphological"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.Morphological.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Microsatellite" or elt.getAttribute("moby:articleName")=="Microsatellite"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.Microsatellite.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="SNP" or elt.getAttribute("moby:articleName")=="SNP"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.SNP.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="CAPS" or elt.getAttribute("moby:articleName")=="CAPS"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.CAPS.append(auxObject)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="TAMPL" or elt.getAttribute("moby:articleName")=="TAMPL"):
                auxObject=MobyTropGENE_LOCUS()
                auxObject.fromMoby(elt)
                self.TAMPL.append(auxObject)